@echo off
cls
echo           #######################################
echo           #                                     #
echo           #      Touchscreen  Installation      #
echo           #             Release 1.3             #
echo           #                                     #
echo           # MicroTouch  DOS Touch Screen Driver #
echo           #             Version 3.4B            #
echo           #                                     #
echo           # Touch Screen  Configuration Utility #
echo           #             Version  1.3            #
echo           #                                     #
echo           #  Version 23.04.99                   #
echo           #######################################

REM ***************************************************************************

if "%1" == "" goto error1
if "%2" == "" goto error1
if "%3" == "" goto error1

if not exist %1\dos\dostouch.exe  goto error2
goto contin

:error1
echo.
echo.
echo To install the DOS Touch Screen driver, please specify the 
echo source drive, the port address and the interrupt.
echo.
echo       INSTALL k: /Axxx /Inn
echo.
echo              k     source drive
echo              xxx   port address:       2E0, 320 or 330
echo              nn    interrupt number:   9, 10, 11, 12 or 15
echo.  
echo. 
echo       For example:  INSTALL A: /A2E0 /I12
echo.
echo Please try again.
goto badend

:error2
echo.
echo.
echo The files required for the installation of the DOS Touch
echo Screen were not found on this disk.  Please verify the 
echo disk and respecify the source drive, the port address and
echo the interrupt.
echo.
echo       INSTALL k: /Axxx /Inn
echo.
echo              k     source drive
echo              xxx   port address:       2F8, 2E0, 320 or 330
echo              nn    interrupt number:   9, 10, 11, 12 or 15
echo.  
echo. 
echo       For example:  INSTALL A: /A2E0 /I12
echo.
echo Please try again.
goto badend

REM ***************************************************************************

:contin
%1\utils\mtques.exe /Q"About to copy DOS Touch Screen software from %1 to c:\mts\touch." /AContinue,Exit
if errorlevel 2 goto badend
if errorlevel 1 goto start
goto badend 

REM ***************************************************************************

:start
if exist c:\mts\touch\dostouch.exe goto skip1
%1\utils\mtpath.exe /Dc:\mts\touch

:skip1
echo copy %1\dos\dostouch.exe c:\MTS\TOUCH
copy %1\dos\dostouch.exe c:\MTS\TOUCH
echo copy %1\dos\dostouch.ovl c:\MTS\TOUCH
copy %1\dos\dostouch.ovl c:\MTS\TOUCH
echo copy %1\dos\dospanel.exe c:\MTS\TOUCH
copy %1\dos\dospanel.exe c:\MTS\TOUCH
echo copy %1\dos\dospanel.hlp c:\MTS\TOUCH
copy %1\dos\dospanel.hlp c:\MTS\TOUCH
echo copy %1\utils\tconfig.exe c:\MTS\TOUCH
copy %1\utils\tconfig.exe c:\MTS\TOUCH
echo copy %1\readme.txt c:\MTS\TOUCH
copy %1\readme.txt c:\MTS\TOUCH

:config
cls
set COM=/C5
if "%2"=="/A2F8" set COM=/C2
if "%2"=="/a2F8" set COM=/C2
if "%2"=="/A2f8" set COM=/C2
if "%2"=="/a2f8" set COM=/C2
rem TCONFIG.EXE writes DOSTOUCH.INI only, if /Cx param specified
c:\mts\touch\tconfig %2 %COM% %3

if errorlevel 1 goto error3

if exist C:\AUTOEXEC.BAT goto auto
echo.
echo Your AUTOEXEC.BAT file was not found. If you want your 
echo PC to load the Touch Screen driver at startup add the
echo following line to your AUTOEXEC.BAT:  
echo    c:\mts\touch\dostouch
goto okend

:auto
echo.
echo The DOS Touch Screen driver can be loaded at startup
echo by adding the following line to your AUTOEXEC.BAT file.
echo    c:\mts\touch\dostouch

%1\utils\mtques.exe /Q"Do you want the Install program to update the AUTOEXEC.BAT file?" /AYes,No
 
if errorlevel 2 goto okend
if errorlevel 1 goto update
goto error3 

:update
if exist c:\mts\touch\touch.bat del c:\mts\touch\touch.bat
copy c:\autoexec.bat c:\autoexec.bak
echo c:\mts\touch\dostouch >> c:\mts\touch\touch.bat
copy c:\autoexec.bak+c:\mts\touch\touch.bat c:\autoexec.bat
del c:\mts\touch\touch.bat

cls
echo.
echo The AUTOEXEC.BAT file has been updated to load the DOS
echo Touch Screen driver on PC startup.  A copy of the old 
echo AUTOEXEC file has been saved as AUTOEXEC.BAK.
echo.
goto okend1

:error3
echo Unable to fully complete the automatic touch screen
echo configuration process. 
echo.
goto badend

:badend
echo.
echo Installation process terminated.
goto end

:okend1
echo.
echo Installation process completed.
echo Please reboot your system to install the touch screen driver.
goto end

:okend
echo.
echo Installation process completed.

:end
echo.

